/* CTW303FX.CMD */
/*
 * Run this program to fix program template that has gone bad as a result
 * of installing FixPak CTW303.
 */

call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
call SysLoadFuncs

/* Set up various variables */

cppmain = value('CPPMAIN',,'OS2ENVIRONMENT')
cppwork = value('CPPWORK',,'OS2ENVIRONMENT')
bootdrive = substr(filespec('drive',value('COMSPEC',,'OS2ENVIRONMENT')),1,1)
vacpp_shared = value('VACPP_SHARED',,'OS2ENVIRONMENT')

if pos(filespec('drive',cppmain), SysDriveMap('C:','REMOTE')) | ,
   pos(filespec('drive',cppwork), SysDriveMap('C:','REMOTE')) then
  target = 'R'
else
  target = 'L'

/* Add PHASE2.CMD to the startup folder */

exename = 'cmd.exe'
parameters = '/c 'cppwork'\bin\phase2.cmd 'cppmain cppwork bootdrive target vacpp_shared

if \ SysCreateObject('WPProgram','VisualAge C++
Installation Phase 2','<WP_START>','EXENAME='exename';PARAMETERS='parameters';OBJECTID=<PHASE2>','U') then
  say "Unable to create program in startup folder"

/* Copy files to the appropriate directories */

'copy phase2.cmd' cppwork'\bin'
'copy wfphase2.exe' cppwork'\bin'
